Subject: [BEHAVE] Comments on draft-xu-behave-stateful-nat-standby-00

From: Dave Thaler <[email-masked]>
Date: Wed, 22 Jul 2009 02:28:13 +0000

This document is now much more clear than
draft-xu-behave-lsn-standby-00 was, thanks!

I mostly just have some more editorial nits, which I
will send directly to you.  I only have one technical comment...

Section 4.2 states:

> To preserve the established sessions during the failover, in
> addition to keeping the internal addresses for the external hosts
> unchanged, the external addresses for the internal hosts should also
> keep unchanged. How to meet the first requirement will not be
> reiterated since it is the same as that for the cold standby
> mechanism. To meet the second requirement, NAT routers in a
> redundancy group should be configured with an identical external
> address pool and they should assign the same external address for
> the same internal host.

It's not just the same address that a stateful NAT has to assign,
it also has to assign the same external port.  So the state
synchronization protocol also has to exchange port mapping
information.  In Section 7 you suggest using SCSP (RFC 2334), which
would require you to specify the record format (see section B.2.2)
which would need to include both addresses and ports, and perhaps
other information as well.

-Dave

---

From: Xu Xiaohu <[email-masked]>
Date: Wed, 22 Jul 2009 10:45:34 +0800

Hi Dave,

> I mostly just have some more editorial nits, which I will 
> send directly to you.  I only have one technical comment...
> 
> Section 4.2 states:
> 
> > To preserve the established sessions during the failover, 
> in addition 
> > to keeping the internal addresses for the external hosts unchanged, 
> > the external addresses for the internal hosts should also keep 
> > unchanged. How to meet the first requirement will not be reiterated 
> > since it is the same as that for the cold standby 
> mechanism. To meet 
> > the second requirement, NAT routers in a redundancy group should be 
> > configured with an identical external address pool and they should 
> > assign the same external address for the same internal host.
> 
> It's not just the same address that a stateful NAT has to 
> assign, it also has to assign the same external port.  So the 
> state synchronization protocol also has to exchange port 
> mapping information.  In Section 7 you suggest using SCSP 
> (RFC 2334), which would require you to specify the record 
> format (see section B.2.2) which would need to include both 
> addresses and ports, and perhaps other information as well.

Yes, your observation is right. Thanks a lot for your comment.

Xiaohu

---

From: Dave Thaler <[email-masked]>
Date: Thu, 23 Jul 2009 01:23:50 +0000

This draft seems to be tackling the same problem as
draft-xu-behave-stateful-nat-standby-00 except using
slightly different protocols.

Terminology

Chen et al.       Xu
------------      --------
User Network      internal realm
Service Network   external realm

Protocols

Function                Chen et al.      Xu
---------------------   --------------   -------------------
Liveness detection      BGP KEEPALIVE    VRRP over VPLS
State synchronization   new BGP option   SCSP
Routing preferences     BGP priority     More/less specifics

I also have a bunch of editorial-only comments which I will
send directly to the authors.

-Dave

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Dave Thaler
> Sent: Tuesday, July 21, 2009 7:28 PM
> To: [email-masked]
> Cc: Behave WG
> Subject: [BEHAVE] Comments on draft-xu-behave-stateful-nat-standby-00
>
> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave

---

From: Chen Gang <[email-masked]>
Date: Thu, 23 Jul 2009 15:26:24 +0800

Hello Dave,

The draft is to resolve similar problems in "Redundancy and Load Balancing
for Stateful NAT".

We look forward to your comments.

Thanks

BRs

Gang

2009/7/23 Dave Thaler <[email-masked]>

-- 
陈刚
[email-masked]